from redminelib import Redmine
import os
import fitz
import glob
import requests

def download_file():
    URL = "https://redmine.dkrz.de/attachments/download/6295/20201016_tgif_packems_heydebreck_final.pdf"
    FILE_TO_SAVE_AS = "./test.pdf" # the name you want to save file as
    resp = requests.get( URL, headers = {'username':'k204247','password':''} ) # making requests to server
    print(resp)
    print(resp.status_code)

    with open(FILE_TO_SAVE_AS, "wb") as f: # opening a file handler to create new file 
        f.write(resp.content) # writing content to file


def access_project():
    redmine = Redmine('https://redmine.dkrz.de', username='k204247',password='')
    projects = redmine.project.all()
    for project in projects:
        print(project.name)

    filename = redmine.download(url='https://redmine.dkrz.de/attachments/download/6295/20201016_tgif_packems_heydebreck_final.pdf',savepath='/home/kamesh/Dokumente/TGIF/STAC_for_TGIF',filename='test.pdf' )
    #project = redmine.project.get('nfdi')
    print(filename)




def generate_thumbnail(pdfFile):
    pdffile = pdfFile
    #pdffile = "./input/ModernCLI.pdf"
    doc = fitz.open(pdffile)
    page = doc.load_page(0)  # number of page
    pix = page.get_pixmap()
    pngdir=os.path.dirname(pdffile)
    pngfile=os.path.basename(pdffile).split('.')[0]+".png"
    output = os.path.join(pngdir,pngfile)
    print(output)
    pix.save(output)
    doc.close()

if __name__ == "__main__":
    #access_project()
    #download_file()
    for iyear in range(2024,2025):
        print(iyear)
        pdffile_list = glob.glob(f"./input/{iyear}_pdfs/*.pdf")
        print(pdffile_list)
        for pdffile_name in pdffile_list:
            generate_thumbnail(pdffile_name)
